import java.util.*;
import java.lang.*;
import java.io.*;

class wetairTest{
     public static void main (String args[]) throws IOException
     {
     wetair wa=new wetair();
     System.out.println("inlet variable,v1,v2");
     Text cin=new Text();
     System.out.print("Unit sytem SI or EN : ");
     String unit=cin.readString();
     if(unit.equals("EN")) wa.setUnit("EN");
     else wa.setUnit("SI");
     System.out.print("Pressure : ");
     double P=cin.readDouble();
     System.out.println("inlet variable type, first variable, second variable \n");
     String f="tdb_twb  dry bulb - wet bulb temperatures    \n"+
     "tdb_rh   dry bulb temperature - relative humidity     \n"+
     "tdb_w    dry bulb temperature - specific humidity     \n"+
     "tdb_tdew dry bulb temperature - dew point temperature \n"+
     "tdb_pv   dry bulb temperature - water vapor pressure  \n"+
     "tdb_dos  dry bulb temperature - degree of saturation  \n"+
     "tdb_h    dry bulb temperature - enthalpy              \n"+
     "tdb_s    dry bulb temperature - enthropy              \n"+
     "w_rh     specific humidity    - relative humidity     \n";
     System.out.println(f);
     String isim=cin.readString();
     double v1=cin.readDouble();
     double v2=cin.readDouble();
     double aa[]=new double[14];
     aa=wa.property(isim,v1,v2,P);
     double w=aa[5];
     double tdb=aa[1];
     double twb=wa.twb(tdb,w,P);
     System.out.println("twb="+twb);
     System.out.println(wa.toString(isim,v1,v2,P));
     }
}
